%global momorel 1
%global md5sum_src0 d00d367a8158ccd04ff21f2fc35dafe1

Summary: virtual keyboard for X window system
Name:    xvkbd
Version: 2.8
Release: %{momorel}m%{?dist}
URL:     http://homepage3.nifty.com/tsato/xvkbd/index.html
%NoSource 0 http://homepage3.nifty.com/tsato/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
License: GPL
Group:   User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: imake
BuildRequires: libX11-devel

%description 
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen.  This
may be used for systems without a hardware keyboard such as kiosk
terminals or handheld devices.  This program also has facility to send
characters specified as the command line option to another client.

%prep
%setup -q

%build
xmkmf
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf --preserve-root %{buildroot}%{_prefix}/lib/X11/app-defaults

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/xvkbd
%{_datadir}/X11/app-defaults/*

%changelog
* Sun Nov 12 2006  Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8-1m)
- initial build
